curl --request GET \
--url https://api.example.com/api/v2/environments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all deployment environments in your workspace. Use to discover available environments for prompt deployment.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/environments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
EnvironmentsListResponse(data: list[server.api_routes.environments_api_v2.EnvironmentInfo], pagination: server.api_routes.api_v2_common.PaginationInfo)